accumulo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Josh Elser <els...@apache.org>
Subject Re: [DISCUSS] Question about 1.7 bugfix releases
Date Fri, 02 Jun 2017 18:15:26 GMT
Upgrade compatibility doesn't necessary mean that real organizations can 
perform the upgrade (I've seen my fair-share of reasons that 
organization cannot/will-not upgrade for some period of time). This 
typically has a minimum time-line of a couple of months to make and 
schedule the work.

I assume we have no idea about who is using what version -- sending a 
note to users@ would might generate some helpful feedback. We could also 
look at known downstream integrations to see if they have done 1.8 
testing (e.g. Pig, Hive, Presto), if nothing else, to let them all know 
"change is a'coming".

As a developer, I'd like to retire 1.7, but I'm not sure if it's 
realistic yet. Regardless, this conversation is certainly a good idea.


On 6/1/17 6:33 PM, Christopher wrote:
> Now that we do semver, and 1.8 has been broken in a bit, do we need to
> continue to support 1.7 releases with bugfixes? There is a fully
> backwards-compatible upgrade path from 1.7 to 1.8. So, it seems we probably
> don't need to support new 1.7.x to 1.7.(x+1) upgrade paths any more.
> 
> Not sure. Thoughts?
> 

Mime
View raw message